THE CASTLE OF THE SKULL LORD
(Samurai Software 1984)

Solution by Phoebe M. Fuentes
(June 1999)


COMMENTS:  This adventure was okay.  When you map it out, you will see that it 
is a pretty large area full of various sceneries, from flat and barren 
wastelands to snow-capped mountains, from the old and crumbling dwarven castle 
to the dark and mighty castle of the Skull Lord.  There are lots of things to 
do, but some of the events and puzzles didn't seem to make sense.  It also has 
the dreaded maze with twisty passages all alike, but I've got that mapped out 
here.  Just jump to that section of this walkthrough if you don't want to bother 
finding the path out yourself.  I know that's what I'd do when I come across a 
walkthrough for a text adventure that has a maze in it.  I just can't be 
bothered.

*Shrug*  I don't know.  This text adventure is mainly puzzle-oriented as opposed 
to being more story-oriented, which I prefer by far.  As I had said before, I 
think it's okay, but I wouldn't discouraged anyone from giving it a try for 
themselves and see if they like it a whole lot more.


GETTING STARTED
===============

s, get saw, n, n, climb tree, get hive, d, saw tree, get oar, s, drop saw, e, e, 
wake bear, give hive <he gives you the silver key he's been sleeping on>, w, s, 
enter boat, row boat, s, e, get spade, d, get coin, u, w, enter boat, row boat, 
n, w <back to the wide barren plain>, drop oar, drop coin


VISITING THE DWARVEN CASTLE
===========================

w, s, s, dig snow <with the spade>, w, w, get armour, wear armour, e, open door, 
n, w, n, n, get cross, get vial, anoint cross <it now glows>, drop vial, s, e, 
get dagger, d, n, greet cross <this scares the vampire away>, get torch, u, get 
book, s, s, e, get bone, e, s, get keg, get lead, n, light torch, w, w, w, w 
<some wacko dwarf locks you in>, drop keg, light keg <with the lit torch -- also 
make sure that you're wearing the armour or you won't survive the blast>, remove 
armour, drop armour, s, get wings, get rope, e, e, e, n, n, e <back to the wide 
barren plain>, drop key, drop spade,


A SWIM ACROSS THE LAKE
======================

s, s, s, wear wings, swim lake, s, e, e, give book <to old dwarf and he will 
tell you that its pages talk about a lost crown of dwarven kings -- so now you 
know that getting the crown is your main goal in this game>, w, w <if you keep 
going west and follow the path, you'll find a cage -- I haven't found any use 
for it>, n, swim lake, n, n, n, remove wings, drop wings, get coin


WHAT HAPPENED AT THE VILLAGE
============================

n, n, e, e, buy hook <with gold coin>, tie rope <to hook>, w, w, w <you'll 
encounter a viscious dog blocking your way into the village>, hit dog <the game 
will ask you with what?>, use bone, drop bone, w, n, e, get lense, w, w get 
tongs, n, get spike, s, e, n <you'll encounter a terribly wounded man -- you 
don't have anything on you to help him yet>, e, e, get bandages, w, w, heal man, 
n <a burning house is here>, n, u, e, attach rope <providing that you've already 
tied the rope to the hook with the TIE ROPE instruction>, d <you'll be just 
under a cart full of hay>, drop torch <to burn up the cart and uncover an 
emerald, if you don't and just go down from here, you'll get stuck in the cart 
with no way out>, d, get emerald, drop rope, d, s, w, w, n, w <there's a well 
here....>, enter well, prise trapdoor <with the spike>, drop spike, n, n, n 
<Gasp!  Oh no!  An entrance to a MAZE!!!>


THE OBLIGATORY TWISTY-PASSAGES-ALL-ALIKE MAZE
=============================================

<Sigh!  Let's get this over with!  Starting from the entrance to the maze> n, e, 
n, n, e, n, w, w, s, w, n, n <You're now at the exit of the maze.  Whew!>


ON WITH THE ADVENTURE!
======================

insert hexagon, n <there's a hole here>, insert tongs, remove tongs, drop tongs, 
get diamond, n, n, wake dragon, give emerald, give diamond <the dragon will 
escort you through the passage to the east  he also tells you to return with 
four gems in order to get through to the southern passage>, e, n, n, e, e, e, n, 
weigh lead <on the scales here -- this opens up a way to the east>, e, e, focus 
beam <of the lense onto the rope which keeps the trapdoor shut>, drop lense, get 
ring <which can make you invisible>, get cloak <which allows you to fly>, wear 
cloak, w, w, s, w, w, w <back to the mountain pass>, n, fly


AT LAST -- THE CASTLE OF THE SKULL LORD
=======================================

wear ring <you only have a limited amount of moves before you become visible 
again>, n, e, n, e, get bow, get arrow, w, n <you should be visible by this time 
and the ring has disappeared>, e, e <to the north is a dying man in a cell, to 
free him you need the cell key so...>, e, e, n <the jailer is playing with a 
very sharp dagger -- good thing he's got his back to you>, aim bow, fire bow, 
drop bow, get keys, s, w, w, n, open cell <the man tells you about an orb, but 
then dies before you can find out what to do with it>, drop keys, s, w, w, w, w, 
n, e, n, n, d, enter sarcophagus, get pike, u, u, e, get scroll, read scroll <it 
says that anyone who finds and returns the crown to the dwarves will be become 
wealthy beyond belief -- I guess this is the incentive>, drop scroll, w <back to 
the study>


DESTROYING THE SKULL LORD
=========================

n, n, pull green <lever>, e, use dagger, drop dagger, get gems, get orb, w, n, 
vault pit <with the pike>, n, smash orb <this destroys the skull lord -- easy 
isn't it?>, drop orb <you'd think it would be gone, but nope -- it's still in 
your inventory>, get platinum key, get crown, get cape, wear cape <this is so 
you can fool the guards into thinking that you're the skull lord -- yeah, like 
the way the glasses fool Lois Lane into thinking Superman is just Clark Kent!>


GETTING OUT OF HERE AND BACK TO WHERE YOU STARTED
=================================================

s, vault pit, drop pike, s, s, s, s, s, w, s, s, s, s, d, fly, remove cape, drop 
cape, remove cloak, drop cloak, s, s, s, w, w, give gems <to the dragon who will 
then escort you through the passageway to the south back towards the maze>, s, 
s, s, s, e, n, e, e, s, w, s, s, w, s, s, e <you'll end up in a dark tunnel by a 
closed door.  There's a bug here.  Before opening the door, you can't go west, 
but you can go east which puts you in the room WEST of this tunnel.  
Psychedelic, huh?  After you open the door, everything works the way they 
should>, open door <with the platinum key>, drop platinum key, e, e, s, s, e, s, 
s, s, e, e, s, s <back to the wide barren plain!>


RETURNING THE CROWN
===================

get silver key, get spade, w, s, s, dig snow, w, open door, n, drop crown

"AS THE GLITTERING BEJEWELED CROWN COMES TO REST ON THE COLD STONE FLOOR, THE 
SQUAT POWERFUL FIGURES OF MANY DWARVES EMERGE FROM THE SHADOWS.  WITH CHEERS AND 
SHOUTS OF JUBILATION THEY HOIST YOU UPON THEIR SHOULDERS AND A JOYFUL PROCESSION 
IS MADE AS THEY CARRY YOU, THE CONQUERING HERO, OFF INTO THE SUNSET.  
CONGRATULATIONS!!"


That's it!  You won the game!

*****************************************************
Displayed on the Classic Adventures Solution Archive:
http://hjem.get2net.dk/gunn/